{*
* 2007-2012 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* If you use this file make sure to copy and restore it before upgrading  
* PrestaShop to newer versions in the future. Otherwise this template
* gets lost. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author Rainer Schmidt <eleazar@elzet.de>
*  @copyright  2007-2012 PrestaShop SA
*  @version  Release: $Revision: 6753 $
*  @last modified by eleazar revised 24-07-15
*  Fehler bei Netto- und MwSt-Betrag in Tax details bei Gutschriften bereinigt
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<br /><br />
<table style="width: 100%">
	<tr>
		<td style="width: 70%">

				<table id="addresses-tab" cellspacing="0" cellpadding="0">
					<tr>
						<td style="height: 105px;"><br /><br /> <br />{$invoice_address}</td>
						<td>&nbsp;</td>
						<td style="height: 105px;"><p>{if !empty($delivery_address) && ($delivery_address <> $invoice_address)}{l s='Delivery address' pdf='true'}:<br>{$delivery_address}{/if}</p></td>
					</tr>
				</table>
		</td>


		<td style="width: 30%;  text-align: right;">
			<table style="width: 100%;">
				<tr>
					<td style="width: 60%;"><span style="font-weight: bold; font-size: 7pt;">{l s='Invoice Number' pdf='true'}: </span></td>
					<td style="width: 40%;"><span style="font-size: 7pt;">{$title|escape:'html':'UTF-8'}</span></td>
				</tr>
				<tr>
					<td><span style="font-weight: bold; font-size: 7pt;">{l s='Invoice Date' pdf='true'}: </span></td>
					<td><span style="font-size: 7pt;">{dateFormat date=$order->invoice_date full=0}</span></td>
				</tr>
				<tr>
					<td><span style="font-weight: bold; font-size: 7pt;">{l s='Order Reference' pdf='true'}: </span></td>
					<td><span style="font-size: 7pt;">{$order->getUniqReference()}</span></td>
				</tr>
				<tr>
					<td><span style="font-weight: bold; font-size: 7pt;">{l s='Order date' pdf='true'}: </span></td>
					<td><span style="font-size: 7pt;">{dateFormat date=$order->date_add full=0}</span></td>
				</tr>
				<tr>
					<td><span style="font-weight: bold; font-size: 7pt;">{l s='Zahlungsart' pdf='true'}: </span></td>
					<td><span style="font-size: 7pt;">{$order->payment}</span></td>
				</tr>
				{if isset($carrier)}
				<tr>
					<td><span style="font-weight: bold; font-size: 7pt;">{l s='Versand:' pdf='true'}</span></td>
					<td><span style="font-size: 7pt;">{$carrier->name}</span></td>
				</tr>
				{/if}
				<tr>
				{if $addresses.invoice->vat_number}
					<td><span style="font-weight: bold; font-size: 7pt;">{l s='VAT Number' pdf='true'}: </span></td>
					<td><span style="font-size: 7pt;">{$addresses.invoice->vat_number}</span></td>
				{/if}
				</tr>
			</table>
		</td>
	</tr>
</table>
	
	
<!-- / ADDRESSES -->

<br /><br />
<table style="width:100%; font-size: 10pt; color: #000;">
	<!-- Druck auf eigenes Briefpapier START -->
	<!-- Bei Druck auf eigenes Briefpapier unbedingt die im Header angebenen Zeilen ändern und das Folgende aktivieren: -->
	<!--<td>{$title|escape:'htmlall':'UTF-8'}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;{$date|escape:'htmlall':'UTF-8'}<br />-->

		<tr>
				<td style="font-size: 14pt;width: 96%">{l s='Rechnung' pdf='true'}</td>
		</tr>
		<tr>
				<td style="width: 96%"><em>{l s='Lieferdatum entspricht Rechnungsdatum' pdf='true'}</em></td>
		</tr>
	<!-- Druck auf eigenes Briefpapier ENDE -->
	<!-- Bei Druck auf eigenes Briefpapier die folgende Zeile deaktivieren: -->
<!--<tr><td><em>Lieferdatum entspricht Rechnungsdatum</em><br /></td></tr> -->
</table>
<br />

<!--<table style="width: 100%;text-align: center; border: 0.5px solid #000; font-size: 9pt;">
	<tr style="border: 0.5px solid #000;">

		<td style="width: 20%; color: #000;">
			<b>{l s='Rechn.-Nr.' pdf='true'}</b>
		</td>
		<td style="width: 20%; color: #000;">
			<b>{l s='Rechn.-Datum' pdf='true'}</b>
		</td>
		<td style="width: 20%; color: #000;">
			<b>{l s='Bestell-Nr.' pdf='true'}</b>
		</td>
		<td style="width: 20%; color: #000;">
			<b>{l s='Bestelldatum' pdf='true'}</b>
		</td>
		<td style="width: 20%; color: #000;">
			<b>{l s='Zahlungsart' pdf='true'}</b>
		</td>
	</tr>

	<tr>
		<td style="width: 20%;">
			{$title}
		</td>
		<td style="width: 20%;">
			{if isset($order_invoice->date_add)}{$order_invoice->date_add|date_format:"%d.%m.%Y"}  
			{else}
				{$smarty.now|date_format:"%d.%m.%Y"} 
			{/if}
		</td>
		<td style="width: 20%;">
			{$order->getUniqReference()}
		</td>
		<td style="width: 20%;">
			{$order->date_add|date_format:"%d.%m.%Y"}
		</td>
		<td style="width: 20%;">
			{$order->payment}
		</td>
	</tr>
</table>

<br /> -->

<!-- OPTIONALER AKTIVIERBARER BLOCK mit Gewicht, Versanddienst, Versanddatum und Tracking-Nr. 

{foreach from=$order->getShipping() item=shipping name=shippingsLoop}
	<table style="width: 100%; text-align: center; border: 1px solid #CCC; font-size: 9pt;">
		<tr>
			<td colspan = "3" style="background-color: #CCC; color: #000;">
				<b>{l s='Paket Nr. ' pdf='true'}{$smarty.foreach.shippingsLoop.iteration}</b>
			</td>
		</tr>
		<tr>
			<td style="width: 25%; background-color: #EEE; color: #000;">
				<b>{l s='Gewicht' pdf='true'}</b>
			</td>
			<td style="width: 25%; background-color: #EEE; color: #000;">
				<b>{l s='Versanddienst' pdf='true'}</b>
			</td>
			<td style="width: 25%; background-color: #EEE; color: #000;">
				<b>{l s='Versanddatum' pdf='true'}</b>
			</td>
			<td style="width: 25%; background-color: #EEE; color: #000;">
				<b>{l s='Tracking-Nr.' pdf='true'}</b>
			</td>
		</tr>
		<tr>
			<td style="width: 25%;">
				{$shipping.weight|string_format:"%.3f"} Kg
			</td>
			<td style="width: 25%;">
				{$shipping.state_name}
			</td>
			<td style="width: 25%;">
				{$order->delivery_date|date_format:"%d-%m-%Y %H:%M"}
			</td>
			<td style="width: 25%;">
				{$shipping.tracking_number}
			</td>
		</tr>
	</table>
{/foreach}

<br /><br />

<!-- ENDE OPTIONALER AKTIVIERBARER BLOCK -->
		
<!-- PRODUCTS TAB 
<table style="width: 100%; font-size: 8pt;">-->
{$pos1=1}
<table style="width: 100%; text-align: center; border: 0.5px solid #000;font-size: 8pt;line-height:12pt;">
	<thead>
	<tr style="line-height:12pt;">
		<td style="text-align: right; font-weight: bold; width: 5%">{l s='Pos' pdf='true'}</td>
		<td style="text-align: left; font-weight: bold; width: 12%">{l s='Reference' pdf='true'}</td>
		<td style="text-align: left; font-weight: bold; width: 36%">{l s='Product' pdf='true'}</td>
		<td style="text-align: right; font-weight: bold; width: 11%">{l s='Unit Price' pdf='true'}</td>
		<td style="text-align: right; font-weight: bold; width: 6%">{l s='Tax Name' pdf='true'}</td>
		<td style="text-align: center; font-weight: bold; width: 10%">{l s='Discount' pdf='true'}</td>
		<td style="text-align: right; font-weight: bold; width: 8%">{l s='Qty' pdf='true'}</td>
		<td style="text-align: right; font-weight: bold; width: 12%">{l s='Total' pdf='true'}</td>
	</tr>
	</thead>
	<!-- PRODUCTS -->
	{foreach $order_details as $order_detail}
	{cycle values='#FFF,#EEE' assign=bgcolor}
	<tr style="line-height:12pt;background-color:{$bgcolor};border-width: 1px;">
		<td style="text-align: right;width: 5%;">{$pos1}</td>
		<td style="text-align: left;width: 12%">
			{if !empty($order_detail.product_reference)}
				{$order_detail.product_reference}
			{else}
				--
			{/if}
		</td>
		<td style="text-align: left;width: 36%">{$order_detail.product_name}</td>
		<!-- unit price tax excluded is mandatory 
		{if !$tax_excluded_display}
			<td style="text-align: right; width: 10%">
			{displayPrice currency=$order->id_currency price=$order_detail.unit_price_tax_excl}
			</td>
		{/if}-->
		<td style="text-align: right;width: 11%">
		{if $tax_excluded_display}
			{displayPrice currency=$order->id_currency price=$order_detail.unit_price_tax_excl}
		{else}
			{displayPrice currency=$order->id_currency price=$order_detail.unit_price_tax_incl}
		{/if}
		</td>
		<td style="text-align: right;width: 6%">
		<!--{if $tax_excluded_display}
			{displayPrice currency=$order->id_currency price=$order_detail.unit_price_tax_excl}
		{else}
			{displayPrice currency=$order->id_currency price=$order_detail.unit_price_tax_incl}
		{/if}-->
		<!-- MwSt-Satz anzeigen, falls ausgewiesen -->
		{if $tax_excluded_display}
			{l s='--'}
		{else}
			{if (($order_invoice->total_paid_tax_incl - $order_invoice->total_paid_tax_excl) > 0)}
					{$order_detail.order_detail_tax_label}
			{/if}
		{/if}
		</td>
		 <td style="text-align: center;width: 10%">
		{if (isset($order_detail.reduction_amount) && $order_detail.reduction_amount > 0)}
			-{displayPrice currency=$order->id_currency price=$order_detail.reduction_amount}
		{else if (isset($order_detail.reduction_percent) && $order_detail.reduction_percent > 0)}
			-{$order_detail.reduction_percent}%
		{else}
		--
		{/if}
		</td>
		<td style="text-align: right;width: 8%">{$order_detail.product_quantity}</td>
		<td style="text-align: right;width: 12%">
		{if $tax_excluded_display}
			{displayPrice currency=$order->id_currency price=$order_detail.total_price_tax_excl}
		{else}
			{displayPrice currency=$order->id_currency price=$order_detail.total_price_tax_incl}
		{/if}
		</td>
	</tr>
		{foreach $order_detail.customizedDatas as $customizationPerAddress}
			{foreach $customizationPerAddress as $customizationId => $customization}
				<tr style="line-height:12pt;background-color:{$bgcolor}; ">
					<td style="line-height:12pt; text-align: left; width: 60%; vertical-align: top">

							<blockquote>
								{if isset($customization.datas[$smarty.const._CUSTOMIZE_TEXTFIELD_]) && count($customization.datas[$smarty.const._CUSTOMIZE_TEXTFIELD_]) > 0}
									{foreach $customization.datas[$smarty.const._CUSTOMIZE_TEXTFIELD_] as $customization_infos}
										{$customization_infos.name}: {$customization_infos.value}
										{if !$smarty.foreach.custo_foreach.last}<br />
										{else}
										<div style="line-height:10pt">&nbsp;</div>
										{/if}
									{/foreach}
								{/if}

								{if isset($customization.datas[$smarty.const._CUSTOMIZE_FILE_]) && count($customization.datas[$smarty.const._CUSTOMIZE_FILE_]) > 0}
									{count($customization.datas[$smarty.const._CUSTOMIZE_FILE_])} {l s='image(s)' pdf='true'}
								{/if}
							</blockquote>
					</td>
					<td style="text-align: right; width: 15%"></td>
					<td style="text-align: center; width: 10%; vertical-align: top">({$customization.quantity})</td>
					<td style="width: 15%; text-align: right;"></td>
				</tr>
			{/foreach}
		{/foreach}
		{$pos1=$pos1 + 1}
	{/foreach}

	<!-- END PRODUCTS -->
	
	<!-- CART RULES -->
	{assign var="shipping_discount_tax_incl" value="0"}
	{foreach $cart_rules as $cart_rule}
	{cycle values='#FFF,#DDD' assign=bgcolor}
		<tr style="line-height:12pt;background-color:{$bgcolor}; text-align:right;font-weight: bold;">
				<td style="text-align: right;width: 5%">{$pos1}</td>
				<td style="text-align: left;width: 14%"> </td>
		<td style="text-align: left;width: 36%">{$cart_rule.name}</td>
			<!--<td colspan="{if !$tax_excluded_display}5{else}6{/if}">{$cart_rule.name}</td>-->
			<td style="text-align: right;width: 11%">
				{if $cart_rule.free_shipping}
					{assign var="shipping_discount_tax_incl" value=$order_invoice->total_shipping_tax_incl}
				{/if}
				{if $tax_excluded_display}
					- {displayPrice currency=$order->id_currency price=$cart_rule.value_tax_excl}
				{else}
					- {displayPrice currency=$order->id_currency price=$cart_rule.value}
				{/if}
			</td>
			<td style="text-align: right;width: 34%">
				{if $cart_rule.free_shipping}
					{assign var="shipping_discount_tax_incl" value=$order_invoice->total_shipping_tax_incl}
				{/if}
				{if $tax_excluded_display}
					- {displayPrice currency=$order->id_currency price=$cart_rule.value_tax_excl}
				{else}
					- {displayPrice currency=$order->id_currency price=$cart_rule.value}
				{/if}
			</td>
		</tr>
	{/foreach}

	<!-- END CART RULES -->
</table>

<br />
<table style="width: 100%; font-size: 8pt;">
	<tr style="line-height:12pt;font-weight:bold;font-size: 10pt;">
		<td style="text-align: right;"></td>
		<td style="width: 15%; text-align: right;"></td>
	</tr>
	
	{if (($order_invoice->total_paid_tax_incl - $order_invoice->total_paid_tax_excl) > 0)}
	<tr style="line-height:12pt;">
		<td style="width: 85%; text-align: right; font-weight: bold">{l s='Product Total (Tax Excl.)' pdf='true'}</td>
		<td style="width: 15%; text-align: right;">{displayPrice currency=$order->id_currency price=$order_invoice->total_products}</td>
	</tr>

	<tr style="line-height:12pt;">
		<td style="width: 85%; text-align: right; font-weight: bold">{l s='Product Total (Tax Incl.)' pdf='true'}</td>
		<td style="width: 15%; text-align: right;">{displayPrice currency=$order->id_currency price=$order_invoice->total_products_wt}</td>
	</tr>
	{else}
	<tr style="line-height:12pt;">
		<td style="width: 85%; text-align: right; font-weight: bold">{l s='Product Total' pdf='true'}</td>
		<td style="width: 15%; text-align: right;">{displayPrice currency=$order->id_currency price=$order_invoice->total_products}</td>
	</tr>
	{/if}

	{if $order_invoice->total_discount_tax_incl > 0}
	<tr style="line-height:12pt;">
		<td style="text-align: right; font-weight: bold">{l s='Total Vouchers' pdf='true'}</td>
		<td style="width: 15%; text-align: right;">-{displayPrice currency=$order->id_currency price=$order_invoice->total_discount_tax_incl}</td>
	</tr>
	{/if}

	{if $order_invoice->total_wrapping_tax_incl > 0}
	<tr style="line-height:12pt;">
		<td style="text-align: right; font-weight: bold">{l s='Wrapping Cost' pdf='true'}</td>
		<td style="width: 15%; text-align: right;">
		{if $tax_excluded_display}
			{displayPrice currency=$order->id_currency price=$order_invoice->total_wrapping_tax_excl}
		{else}
			{displayPrice currency=$order->id_currency price=$order_invoice->total_wrapping_tax_incl}
		{/if}
		</td>
	</tr>
	{/if}

	{if $order_invoice->total_shipping_tax_incl > 0}
	<tr style="line-height:12pt;">
		<td style="text-align: right; font-weight: bold">{l s='Shipping Cost' pdf='true'}</td>
		<td style="width: 15%; text-align: right;">
			{if $tax_excluded_display}
				{displayPrice currency=$order->id_currency price=$order_invoice->total_shipping_tax_excl}
				{else}
				{displayPrice currency=$order->id_currency price=$order_invoice->total_shipping_tax_incl}
			{/if}
		</td>
	</tr>
	{/if}

	{if ($order_invoice->total_paid_tax_incl - $order_invoice->total_paid_tax_excl) > 0}
	<tr style="line-height:12pt;">
		<td style="text-align: right; font-weight: bold">{l s='Total Tax' pdf='true'}</td>
		<td style="width: 15%; text-align: right;">
			{displayPrice currency=$order->id_currency price=($order_invoice->total_paid_tax_incl - $order_invoice->total_paid_tax_excl)}
		</td>
	</tr>
	{/if}

	<tr style="line-height:12pt;font-weight:bold;font-size: 10pt;">
		<td style="text-align: right;">{l s='Total' pdf='true'}</td>
		<td style="width: 15%; text-align: right;">{displayPrice currency=$order->id_currency price=$order_invoice->total_paid_tax_incl}</td>
	</tr>
	<tr style="line-height:12pt;font-weight:bold;font-size: 10pt;">
		<td style="text-align: right;"></td>
		<td style="width: 15%; text-align: right;"></td>
	</tr>


</table>
<!-- / PRODUCTS TAB -->


<!-- / Additional informations for payment by invoice -->

<table style="width: 100%; font-size: 10pt;">
{if $order->payment == 'Rechnung'}
	{l s='Thank you for your order! Please transfer the total amount until' pdf='true'} {"+1 week"|strtotime|date_format:"d.m.Y"} {l s='to the following account 000000, bank (BLZ: 000 000 00). IBAN: DE00 0000 0000 0000 0000 00 und BIC: XXXXXXXXXXX.' pdf='true'}
		{if isset($free_text)}
			{$free_text|escape:'htmlall':'UTF-8'}<br />
	{/if}
{else}
	{l s='Thank you for your order!' pdf='true'}
{/if}
</table>

{if isset($order_invoice->note) && $order_invoice->note}
<div style="line-height: 12pt">&nbsp;</div>
<table style="width: 100%; font-size: 10pt;">
	<tr>
		<!--Zusatzbemerkung linksbündig und ohne Einrücken fett>-->
		<td style="font-weight:bold">{$order_invoice->note|nl2br}</td>
	</tr>
</table>
{/if}

 <br />
<!-- include invoice.tax-tab.tpl -->
{if $tax_exempt}
<div style = "text-align: center">
		{l s='Exempt of VAT according section 259B of the General Tax Code.' pdf='true'}
	</div>
{elseif (isset($tax_breakdowns) && $tax_breakdowns)}
	<br />
	<!--  TAX DETAILS -->
	<table style="width: 100%; border-top: 0.5px solid #000; border-bottom: 0.5px solid #000; font-size: 8pt;">
	<thead>
	<tr style="line-height:12pt;">
			<td style="text-align: left; padding-left: 10px; font-weight: bold; width: 20%">{l s='Tax Detail' pdf='true'}</td>
			<td style="text-align: right; padding-left: 10px; font-weight: bold; width: 20%">{l s='Tax Rate' pdf='true'}</td>
			{if !$use_one_after_another_method}
				<td style="text-align: right; padding-left: 10px; font-weight: bold; width: 20%">{l s='Total Tax Excl' pdf='true'}</td>
			{/if}
			<td style="text-align: right; padding-left: 10px; font-weight: bold; width: 20%">{l s='Tax Name' pdf='true'}</td>
	
		</tr>


		<tbody>
		{assign var=has_line value=false}

		{foreach $tax_breakdowns as $label => $bd}
			{assign var=label_printed value=false}

			{foreach $bd as $line}
				{if $line.rate == 0}
					{continue}
				{/if}
				{assign var=has_line value=true}
					<tr style="line-height:12pt;">
						<td style="width: 20%">
						{if !$label_printed}
							{if $label == 'product_tax'}
								{l s='Products' pdf='true'}
							{elseif $label == 'shipping_tax'}
								{l s='Shipping' pdf='true'}
							{elseif $label == 'ecotax_tax'}
								{l s='Ecotax' pdf='true'}
							{elseif $label == 'wrapping_tax'}
								{l s='Wrapping' pdf='true'}
							{/if}
							{assign var=label_printed value=true}
						{/if}
					</td>

					<td style="width: 20%; text-align: right;">
						{$line.rate|round:"0"} %
					</td>

					{if $display_tax_bases_in_breakdowns}
							<td style="width: 20%; text-align: right;">
							{if isset($is_order_slip) && $is_order_slip}- {/if}
							{displayPrice currency=$order->id_currency price=$line.total_tax_excl}
						</td>
					{/if}

					<td style="width: 20%; text-align: right;">
						{if isset($is_order_slip) && $is_order_slip}- {/if}
						{displayPrice currency=$order->id_currency price=$line.total_amount}
					</td>
				</tr>
			{/foreach}
		{/foreach}

		{if !$has_line}
		<tr>
			<td style="width: 20%; text-align: right;" colspan="{if $display_tax_bases_in_breakdowns}4{else}3{/if}">
				{l s='No taxes' pdf='true'}
			</td>
		</tr>
		{/if}
		</thead>
	</table>
{/if}

	<!--  / TAX DETAILS -->
<div style="margin-top: 30px; text-align: left;">
{if $order_detail.first_order_message}	<p><span style="color:red;">{l s='Kundennachricht:' pdf='true'}</span> <br/>
<span style="font-weight: bold; font-size: 10pt;">{$order_detail.first_order_message}</span></p>
{/if}</div>


	<br /><br />

	
{if isset($HOOK_DISPLAY_PDF)}

<table style="width: 100%">
	<tr>
		<td style="width: 15%"></td>
		<td style="width: 85%">{$HOOK_DISPLAY_PDF}</td>
	</tr>
</table>
{/if}

</div>
